import React from 'react'
import { Image, Text, View, Input, Label } from '@tarojs/components'
import './index.scss'

import { useEffect } from 'react';
import { useState } from 'react';
import backNav from '@/images/backNav.png'
import next from '@/images/next.png'
import uncheck from '@/images/uncheck.png'
import checked from '@/images/checked.png'
import Taro from '@tarojs/taro';
import { useRouter } from '@tarojs/taro';
import { Button, Textarea, Address } from '@nutui/nutui-react-taro';



function Index() {

  const param = useRouter().params
  const [id] = useState(param.id)
  const [home] = useState(param.home)
  const [addrId, setAddrId] = useState(0)
  const [isDefault, setIsDefault] = useState(false)
  const [user, setUser] = useState('')
  const [phone, setPhone] = useState('')
  const [addrInfo, setAddrInfo] = useState('')


  const [text, setText] = useState('请选择地址')
  const [normal, setNormal] = useState(false)
  const [province, setProvince] = useState([
    { id: 1, name: '北京', title: 'B' },
    { id: 2, name: '广西', title: 'G' },
    { id: 3, name: '江西', title: 'J' },
    { id: 4, name: '四川', title: 'S' },
    { id: 5, name: '浙江', title: 'Z' },
  ])

  const [city, setCity] = useState([])

  const [country, setCountry] = useState([])
  const [town, setTown] = useState([])

  const [address, setAddress] = useState({
    province,
    city,
    country,
    town,
  })

  const onChange = (cal) => {
    setTimeout(() => {
      switch (cal.next) {
        case 'city':
          setCity([
            { id: 7, name: '朝阳区', title: 'C' },
            { id: 8, name: '崇文区', title: 'C' },
            { id: 9, name: '昌平区', title: 'C' },
            { id: 6, name: '石景山区', title: 'S' },
            { id: 3, name: '八里庄街道', title: 'B' },
            { id: 10, name: '北苑', title: 'B' },
          ])
          break;
        case 'country':
          setCountry([
            { id: 3, name: '八里庄街道', title: 'B' },
            { id: 9, name: '北苑', title: 'B' },
            { id: 4, name: '常营乡', title: 'C' },
          ])
          break;
        default:
          setNormal(false)
      }
    }, 200)
  }
  const close = (val) => {
    console.log(val, "Data")
    setNormal(false)

    if (val.data && !!val.data.addressStr) {
      setText((val.data).addressStr)
      setAddress({ province: val.data.province, city: val.data.city, country: val.data.country, town: val.data.town })
    }
  }


  useEffect(() => {


  }, [id])


  // 跳转
  const navDetailFn = (id) => {
    Taro.navigateTo({
      url: `/pages/pay-success/index?id=${id}`
    })
  }
  // 返回页面
  const backFn = () => {
    Taro.getCurrentPages().length > 0 && Taro.navigateBack()
  }

  return (
    <View className='addr-container'>
      <View className='addr-detail-title'>
        <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
        {
          home ? '我的地址' : "新增地址"
        }

      </View>

      <View className='addr-body' >
        <View className='addr-item'>
          <View className='addr-form'>
            <View className='addr-form-name'>收货人</View>
            <Input className='addr-form-input' placeholder='请输入收货人' value={user} onInput={(e) => {
              setUser(e.detail.value)
            }} />
          </View>
          <View className='addr-form'>
            <View className='addr-form-name'>电话</View>
            <Input className='addr-form-input' placeholder='请输入收货人' value={phone} onInput={(e) => {
              setPhone(e.detail.value)
            }} />
          </View>
          <View className='addr-form'>
            <View className='addr-form-name'>所在地区</View>
            <View className='flex justify-between items-center addr-form-input' onClick={() => { setNormal(true) }}>
              <Label>{text}</Label>
              <Image src={next} className='next-icon' />
            </View>
          </View>
          <View className='addr-form bt-none'>
            <View className='addr-form-name '>详细地址</View>
          </View>
          <Textarea placeholder='请输入详细地址' autosize rows="4" maxlength={100} defaultValue={addrInfo} onChange={(e) => {
            setAddrInfo(e)
          }} />
        </View>
        <View className=' mt-22 addr-item'>
          <View className='addr-form  bt-none' onClick={() => {
            setIsDefault(x => !x)
          }}>
            <View className='text-black'>设为默认地址</View>
            <Image src={isDefault ? checked : uncheck} className='w-6 h-6' />
          </View>
        </View>
      </View>
      <Button className='addr-btn' >保存地址</Button>

      <Address
        modelValue={normal}
        province={province}
        city={city}
        country={country}
        town={town}
        customAddressTitle="请选择所在地区"
        onChange={onChange}
        onClose={close}
      />
    </View>
  )
}

export default Index
