import React from 'react'
import { Image, Text, View } from '@tarojs/components'
import './index.scss'

import { useEffect } from 'react';
import { useState } from 'react';
import backNav from '@/images/backNav.png'
import uncheck from '@/images/uncheck.png'
import checked from '@/images/checked.png'

import edit from '@/images/edit.png'
import Taro from '@tarojs/taro';
import { useRouter } from '@tarojs/taro';
import { Button } from '@nutui/nutui-react-taro';



function Index() {

  const param = useRouter().params
  const [id] = useState(param.id)
  const [home] = useState(param.home)
  const [addrId, setAddrId] = useState(0)


  useEffect(() => {
  }, [id])


  // 跳转
  const navDetailFn = (id) => {
    Taro.navigateTo({
      url: `/pages/address-create/index?id=${id}`
    })
  }
  // 返回页面
  const backFn = () => {
    Taro.getCurrentPages().length > 0 && Taro.navigateBack()
  }

  return (
    <View className='addr-container'>
      <View className='addr-detail-title'>
        <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
        {
          home ? '我的地址' : "选择地址"
        }

      </View>

      <View className='addr-body' >
        <View className='addr-item'>
          <View className='addr-icon w-6 h-6' onClick={() => {
            setAddrId(1)
          }}>
            <Image src={addrId == 1 ? checked : uncheck} className="w-6 h-6" />
          </View>
          <View className='addr-item-content' onClick={() => {
            setAddrId(1)
          }}>
            <View className='addr-item-title'>
              <View className='addr-item-name'>李四 18080093730</View>
              <View className='addr-default'>默认地址</View>
            </View>
            <View className='addr-item-info'>四川省成都市天府二街</View>
          </View>
          <View className='addr-edit-icon' onClick={() => {
            navDetailFn('')
          }}>
            <Image src={edit} />
          </View>
        </View>

      </View>
      <Button className='addr-btn' onClick={() => {
        navDetailFn('')
      }}>新增地址</Button>
    </View>
  )
}

export default Index
