import { Image, Input, Text, View } from "@tarojs/components"
import back from '@/images/back.png'
import checked from '@/images/checked.png'
import eyeClose from '@/images/eyeClose.png'
import eye from '@/images/eye.png'
import './index.scss'
import { Button } from "@nutui/nutui-react-taro"
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'
import { Picker } from "@nutui/nutui-react-taro"

const activeEye = eye

const Login = () => {

    const [account, setAccount] = useState('')

    const [visible, setVisible] = useState(false)
    const [bank, setBank] = useState({ value: 0, text: '' })



    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }


    const confirmPicker = (val, list) => {
        list.forEach(item => {
            console.log(item, "C")
            setBank(item)
        })
    }

    const listData1 = [
        [
            { value: 1, text: '南京市', },
            { value: 2, text: '无锡市', },
            { value: 3, text: '海北藏族自治区', },
            { value: 4, text: '北京市', },
            { value: 5, text: '连云港市', },
            { value: 6, text: '浙江市', },
            { value: 7, text: '江苏市', },
            { value: 8, text: '大庆市', },
            { value: 9, text: '绥化市', },
            { value: 10, text: '潍坊市', },
            { value: 11, text: '请按市', },
            { value: 12, text: '乌鲁木齐市' },
        ],
    ]


    return <View className="conversion-frame bg-slate-50 h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            立即转换
        </View>
        <View className="conversion-container relative">
            <View className="conversion-amount flex-col justify-center">
                <Text>当前收益</Text>
                <Text className="conversion-amount-price">50000</Text>
            </View>
            <View>
                <View className="form-item mt-22">
                    <View className="form-label">输入转换金额</View>
                    <View className="form-control relative">
                        <Input className="form-input" type="digit" placeholder="请输入转换金额" onInput={(v) => {
                            setAccount(v.detail.value)
                        }} />
                        {
                            account && <Image className="w-6 h-6 absolute right-0 bottom-16" src={checked} />
                        }

                    </View>
                </View>
                {

                    <View className="conversion-footer ">
                        <Button className="conversion-btn">立即转换</Button>
                    </View>
                }
            </View>

        </View>
    </View>
}


export default Login