import React from 'react'
import { Image, Text, View } from '@tarojs/components'
import {
  Button
} from "@nutui/nutui-react-taro";
import './index.scss'
import TabbarAction from '@/components/action';
import { Infiniteloading } from '@nutui/nutui-react-taro';
import { useEffect } from 'react';
import { useState } from 'react';

import Taro from '@tarojs/taro';


function Index() {

  const [list, setList] = useState([])
  const [page, setPage] = useState(1)
  const [hasMore, setHasMore] = useState(true)

  useEffect(() => {
    if (list.length > 50) {
      setHasMore(false)
      return
    }
    let l = []
    for (let i = list.length; i < 10 + list.length; i++) {
      l.push(i)
    }
    setList([...list, ...l])

  }, [page])


  // 跳转
  const navDetailFn = (id) => {
    Taro.navigateTo({
      url: `/pages/goods-detail/index?id=${id}`
    })
  }

  return (
    <View className='home-container'>
      <View className='home-title'>商城</View>
      <TabbarAction index={1} />
      <View className='home-body' id="shoppingScroll">
        <Infiniteloading
          containerId="shoppingScroll"
          useWindow={false}
          loadTxt="loading"
          loadMoreTxt="没有数据啦～"
          loadIcon='loading'
          hasMore={hasMore}
          onLoadMore={(x) => {
            setPage(p => p + 1)
            x()
          }}
        >
          <View className='shopping-container '>
            {
              list.map(item => {
                return <View className='shopping-item' key={item} onClick={() => {
                  navDetailFn(item)
                }}>
                  <View className='shopping-item-image'>
                    <Image src='https://img.yzcdn.cn/vant/cat.jpeg' />
                  </View>
                  <View className='shopping-item-content'>
                    <View className='shopping-item-name line-clamp-2'>
                      这个是商品的名称，但是可能有一点点的长
                    </View>
                    <View className='shopping-item-desc line-clamp-2 '>
                      这个是商品的介绍
                    </View>
                    <View className='shopping-item-price text-right'>
                      <Text className='shopping-item-price-sale'>¥199</Text>
                      <Text className='shopping-item-price-origin'>原价888</Text>
                    </View>
                  </View>

                </View>
              })
            }


          </View>
        </Infiniteloading>
      </View>
    </View>
  )
}

export default Index
